/******************************** LICENSE ********************************


 Copyright 2007 European Centre for Medium-Range Weather Forecasts (ECMWF)
 
 Licensed under the Apache License, Version 2.0 (the "License"); 
 you may not use this file except in compliance with the License. 
 You may obtain a copy of the License at 
 
 	http://www.apache.org/licenses/LICENSE-2.0
 
 Unless required by applicable law or agreed to in writing, software 
 distributed under the License is distributed on an "AS IS" BASIS, 
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. 
 See the License for the specific language governing permissions and 
 limitations under the License.


 ******************************** LICENSE ********************************/

/*!
    \file MgQBaseNode.h
    \brief Definition of MgQBaseNode.
    \author Graphics Section, ECMWF

    Started: Februaryr 2010
*/

#ifndef _MgQBaseNode_H
#define _MgQBaseNode_H

#include <magics.h>

#include <QGraphicsItem>

//namespace magics 
//{

class MgQBaseNode : public QGraphicsItem 
{
public:
	//OpenGLLayoutNode();
	MgQBaseNode(QString);
	virtual ~MgQBaseNode();
	
	virtual QRectF boundingRect() const;
	virtual void paint(QPainter *, const QStyleOptionGraphicsItem *,
                QWidget *widget=0);

	QString name() const {return name_;}

protected:
	QString name_;		
};

//}


#endif
